petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatSetRandom

Sets all components of a matrix to random numbers. For sparse matrices that have been preallocated it randomly selects appropriate locations

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetRandom(Mat x,PetscRandom rctx)

Logically Collective on Vec

### Input Parameters

| x | - the vector
| rctx | - the random number context, formed by PetscRandomCreate(), or NULL and it will create one internally.

### Output Parameter

x -the vector

### Example of Usage

         PetscRandomCreate(PETSC_COMM_WORLD,&rctx);
         VecSetRandom(x,rctx);
         PetscRandomDestroy(rctx);

### See Also

MatZeroEntries(), MatSetValues(), PetscRandomCreate(), PetscRandomDestroy()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages